diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js	2012-08-18 18:24:27.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js	2013-10-10 16:50:09.000000000 -0500
***************
*** 11,39 ****
  (function() {
  	var DOM = tinymce.DOM;
  
  	tinymce.create('tinymce.plugins.FullScreenPlugin', {
  		init : function(ed, url) {
! 			var t = this, s = {}, vp, posCss;
! 
! 			t.editor = ed;
  
  			// Register commands
  			ed.addCommand('mceFullScreen', function() {
! 				var win, de = DOM.doc.documentElement;
  
  				if (ed.getParam('fullscreen_is_enabled')) {
  					if (ed.getParam('fullscreen_new_window'))
! 						closeFullscreen(); // Call to close in new window
  					else {
  						DOM.win.setTimeout(function() {
! 							tinymce.dom.Event.remove(DOM.win, 'resize', t.resizeFunc);
! 							tinyMCE.get(ed.getParam('fullscreen_editor_id')).setContent(ed.getContent());
! 							tinyMCE.remove(ed);
! 							DOM.remove('mce_fullscreen_container');
! 							de.style.overflow = ed.getParam('fullscreen_html_overflow');
! 							DOM.setStyle(DOM.doc.body, 'overflow', ed.getParam('fullscreen_overflow'));
! 							DOM.win.scrollTo(ed.getParam('fullscreen_scrollx'), ed.getParam('fullscreen_scrolly'));
! 							tinyMCE.settings = tinyMCE.oldSettings; // Restore old settings
  						}, 10);
  					}
  
--- 11,58 ----
  (function() {
  	var DOM = tinymce.DOM;
  
+ 	// State Transfer function
+ 	var transferState = function(oldEditor, newEditor, bookmark) {
+ 		var transferColorButtonState = function(swapme) {
+ 			var c = oldEditor.controlManager.get(swapme);
+ 			var newC = newEditor.controlManager.get(swapme);
+ 
+ 			if (c && newC) {
+ 				newC.displayColor(c.value);
+ 			}
+ 
+ 		};
+ 
+ 		transferColorButtonState('forecolor');
+ 		transferColorButtonState('backcolor');
+ 		newEditor.setContent(oldEditor.getContent({format : 'raw'}), {format : 'raw'});
+ 		newEditor.selection.moveToBookmark(bookmark);
+ 
+ 		if (oldEditor.plugins.spellchecker && newEditor.plugins.spellchecker) {
+ 			newEditor.plugins.spellchecker.setLanguage(oldEditor.plugins.spellchecker.selectedLang);
+ 		}
+ 	};
+ 
  	tinymce.create('tinymce.plugins.FullScreenPlugin', {
  		init : function(ed, url) {
! 			var t = this, s = {}, de = DOM.doc.documentElement, vp, fullscreen_overflow, fullscreen_html_overflow, fullscreen_scrollx, fullscreen_scrolly, posCss, bookmark;
  
  			// Register commands
  			ed.addCommand('mceFullScreen', function() {
! 				var win, oed;
  
  				if (ed.getParam('fullscreen_is_enabled')) {
  					if (ed.getParam('fullscreen_new_window'))
! 						closeFullscreen(); // Call to close in fullscreen.htm
  					else {
  						DOM.win.setTimeout(function() {
! 							var fullscreenEditor = ed;
! 
! 							// find the editor that opened this one, execute restore function there
! 							var originalEditor = tinyMCE.get(fullscreenEditor.getParam('fullscreen_editor_id'));
! 							originalEditor.plugins.fullscreen.saveState(fullscreenEditor);
! 
! 							tinyMCE.remove(fullscreenEditor);
  						}, 10);
  					}
  
***************
*** 41,46 ****
--- 60,68 ----
  				}
  
  				if (ed.getParam('fullscreen_new_window')) {
+ 					t.fullscreenSettings = {
+ 						bookmark: ed.selection.getBookmark()
+ 					};
  					win = DOM.win.open(url + "/fullscreen.htm", "mceFullScreenPopup", "fullscreen=yes,menubar=no,toolbar=no,scrollbars=no,resizable=yes,left=0,top=0,width=" + screen.availWidth + ",height=" + screen.availHeight);
  					try {
  						win.resizeTo(screen.availWidth, screen.availHeight);
***************
*** 48,74 ****
  						// Ignore
  					}
  				} else {
! 					tinyMCE.oldSettings = tinyMCE.settings; // Store old settings
! 					s.fullscreen_overflow = DOM.getStyle(DOM.doc.body, 'overflow', 1) || 'auto';
! 					s.fullscreen_html_overflow = DOM.getStyle(de, 'overflow', 1);
  					vp = DOM.getViewPort();
! 					s.fullscreen_scrollx = vp.x;
! 					s.fullscreen_scrolly = vp.y;
  
  					// Fixes an Opera bug where the scrollbars doesn't reappear
! 					if (tinymce.isOpera && s.fullscreen_overflow == 'visible')
! 						s.fullscreen_overflow = 'auto';
  
  					// Fixes an IE bug where horizontal scrollbars would appear
! 					if (tinymce.isIE && s.fullscreen_overflow == 'scroll')
! 						s.fullscreen_overflow = 'auto';
  
  					// Fixes an IE bug where the scrollbars doesn't reappear
! 					if (tinymce.isIE && (s.fullscreen_html_overflow == 'visible' || s.fullscreen_html_overflow == 'scroll'))
! 						s.fullscreen_html_overflow = 'auto';
  
! 					if (s.fullscreen_overflow == '0px')
! 						s.fullscreen_overflow = '';
  
  					DOM.setStyle(DOM.doc.body, 'overflow', 'hidden');
  					de.style.overflow = 'hidden'; //Fix for IE6/7
--- 70,95 ----
  						// Ignore
  					}
  				} else {
! 					fullscreen_overflow = DOM.getStyle(DOM.doc.body, 'overflow', 1) || 'auto';
! 					fullscreen_html_overflow = DOM.getStyle(de, 'overflow', 1);
  					vp = DOM.getViewPort();
! 					fullscreen_scrollx = vp.x;
! 					fullscreen_scrolly = vp.y;
  
  					// Fixes an Opera bug where the scrollbars doesn't reappear
! 					if (tinymce.isOpera && fullscreen_overflow == 'visible')
! 						fullscreen_overflow = 'auto';
  
  					// Fixes an IE bug where horizontal scrollbars would appear
! 					if (tinymce.isIE && fullscreen_overflow == 'scroll')
! 						fullscreen_overflow = 'auto';
  
  					// Fixes an IE bug where the scrollbars doesn't reappear
! 					if (tinymce.isIE && (fullscreen_html_overflow == 'visible' || fullscreen_html_overflow == 'scroll'))
! 						fullscreen_html_overflow = 'auto';
  
! 					if (fullscreen_overflow == '0px')
! 						fullscreen_overflow = '';
  
  					DOM.setStyle(DOM.doc.body, 'overflow', 'hidden');
  					de.style.overflow = 'hidden'; //Fix for IE6/7
***************
*** 108,120 ****
  						s[k] = v;
  					});
  
  					if (s.theme_advanced_toolbar_location === 'external')
  						s.theme_advanced_toolbar_location = 'top';
  
  					t.fullscreenEditor = new tinymce.Editor('mce_fullscreen', s);
  					t.fullscreenEditor.onInit.add(function() {
! 						t.fullscreenEditor.setContent(ed.getContent());
! 						t.fullscreenEditor.focus();
  					});
  
  					t.fullscreenEditor.render();
--- 129,149 ----
  						s[k] = v;
  					});
  
+ 					t.fullscreenSettings = {
+ 						bookmark: ed.selection.getBookmark(),
+ 						fullscreen_overflow: fullscreen_overflow,
+ 						fullscreen_html_overflow: fullscreen_html_overflow,
+ 						fullscreen_scrollx: fullscreen_scrollx,
+ 						fullscreen_scrolly: fullscreen_scrolly
+ 					};
+ 
  					if (s.theme_advanced_toolbar_location === 'external')
  						s.theme_advanced_toolbar_location = 'top';
  
+ 					tinyMCE.oldSettings = tinyMCE.settings; // Store old settings, the Editor constructor overwrites them
  					t.fullscreenEditor = new tinymce.Editor('mce_fullscreen', s);
  					t.fullscreenEditor.onInit.add(function() {
! 						t.loadState(t.fullscreenEditor);
  					});
  
  					t.fullscreenEditor.render();
***************
*** 141,146 ****
--- 170,221 ----
  			ed.onNodeChange.add(function(ed, cm) {
  				cm.setActive('fullscreen', ed.getParam('fullscreen_is_enabled'));
  			});
+ 
+ 			// fullscreenEditor is a param here because in window mode we don't create it
+ 			t.loadState = function(fullscreenEditor) {
+ 				if (!(fullscreenEditor && t.fullscreenSettings)) {
+ 					throw "No fullscreen editor to load to";
+ 				}
+ 
+ 				transferState(ed, fullscreenEditor, t.fullscreenSettings.bookmark);
+ 				fullscreenEditor.focus();
+ 
+ 			};
+ 
+ 			// fullscreenEditor is a param here because in window mode we don't create it
+ 			t.saveState = function(fullscreenEditor) {
+ 				if (!(fullscreenEditor && t.fullscreenSettings)) {
+ 					throw "No fullscreen editor to restore from";
+ 				}
+ 				var settings = t.fullscreenSettings;
+ 
+ 				transferState(fullscreenEditor, ed, fullscreenEditor.selection.getBookmark());
+ 
+ 				// cleanup only required if window mode isn't used
+ 				if (!ed.getParam('fullscreen_new_window')) {
+ 					tinymce.dom.Event.remove(DOM.win, 'resize', t.resizeFunc);
+ 					delete t.resizeFunc;
+ 
+ 					DOM.remove('mce_fullscreen_container');
+ 
+ 					DOM.doc.documentElement.style.overflow = settings.fullscreen_html_overflow;
+ 					DOM.setStyle(DOM.doc.body, 'overflow', settings.fullscreen_overflow);
+ 					DOM.win.scrollTo(settings.fullscreen_scrollx, settings.fullscreen_scrolly);
+ 				}
+ 				tinyMCE.settings = tinyMCE.oldSettings; // Restore old settings
+ 
+ 				// clear variables
+ 				delete tinyMCE.oldSettings;
+ 				delete t.fullscreenEditor;
+ 				delete t.fullscreenElement;
+ 				delete t.fullscreenSettings;
+ 
+ 				// allow the fullscreen editor to be removed before restoring focus and selection
+ 				DOM.win.setTimeout(function() {
+ 					ed.selection.moveToBookmark(bookmark);
+ 					ed.focus();
+ 				}, 10);
+ 			};
  		},
  
  		getInfo : function() {
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js	2012-07-07 11:22:53.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/spellchecker/editor_plugin_src.js	2013-10-10 16:50:09.000000000 -0500
***************
*** 126,131 ****
--- 126,132 ----
  
  				c.onRenderMenu.add(function(c, m) {
  					m.add({title : 'spellchecker.langs', 'class' : 'mceMenuItemTitle'}).setDisabled(1);
+ 					t.menuItems = {};
  					each(t.languages, function(v, k) {
  						var o = {icon : 1}, mi;
  
***************
*** 133,153 ****
  							if (v == t.selectedLang) {
  								return;
  							}
! 							mi.setSelected(1);
! 							t.selectedItem.setSelected(0);
! 							t.selectedItem = mi;
  							t.selectedLang = v;
  						};
  
  						o.title = k;
  						mi = m.add(o);
  						mi.setSelected(v == t.selectedLang);
! 
  						if (v == t.selectedLang)
  							t.selectedItem = mi;
! 					})
  				});
  
  				return c;
  			}
  		},
--- 134,154 ----
  							if (v == t.selectedLang) {
  								return;
  							}
! 							t._updateMenu(mi);
  							t.selectedLang = v;
  						};
  
  						o.title = k;
  						mi = m.add(o);
  						mi.setSelected(v == t.selectedLang);
! 						t.menuItems[v] = mi;
  						if (v == t.selectedLang)
  							t.selectedItem = mi;
! 					});
  				});
  
+ 
+ 
  				return c;
  			}
  		},
***************
*** 152,159 ****
--- 153,193 ----
  			}
  		},
  
+ 		setLanguage: function(lang) {
+ 			var t = this;
+ 
+ 			if (lang == t.selectedLang) {
+ 				// allowed
+ 				return;
+ 			}
+ 
+ 			if (tinymce.grep(t.languages, function(v) { return v === lang; }).length === 0) {
+ 				throw "Unknown language: " + lang;
+ 			}
+ 
+ 			t.selectedLang = lang;
+ 
+ 			// if the menu has been shown, update it as well
+ 			if (t.menuItems) {
+ 				t._updateMenu(t.menuItems[lang]);
+ 			}
+ 
+ 			if (t.active) {
+ 				// clear error in the old language.
+ 				t._done();
+ 
+ 				// Don't immediately block the UI to check spelling in the new language, this is an API not a user action.
+ 			}
+ 		},
+ 
  		// Internal functions
  
+ 		_updateMenu: function(mi) {
+ 			mi.setSelected(1);
+ 			this.selectedItem.setSelected(0);
+ 			this.selectedItem = mi;
+ 		},
+ 
  		_walk : function(n, f) {
  			var d = this.editor.getDoc(), w;
  
***************
*** 235,240 ****
--- 269,275 ----
  			each(nl, function(n) {
  				var node, elem, txt, pos, v = n.nodeValue;
  
+ 				rx.lastIndex = 0;
  				if (rx.test(v)) {
  					// Encode the content
  					v = dom.encode(v);
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js	2013-03-03 22:23:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js	2013-10-09 16:05:10.000000000 -0500
***************
*** 172,179 ****
  	restoreSelection : function() {
  		var t = tinyMCEPopup;
  
! 		if (!t.isWindow && tinymce.isIE)
  			t.editor.selection.moveToBookmark(t.editor.windowManager.bookmark);
  	},
  
  	/**
--- 172,180 ----
  	restoreSelection : function() {
  		var t = tinyMCEPopup;
  
! 		if (!t.isWindow && tinymce.isIE) {
  			t.editor.selection.moveToBookmark(t.editor.windowManager.bookmark);
+ 		}
  	},
  
  	/**
***************
*** 280,290 ****
  
  	// Internal functions
  
! 	_restoreSelection : function() {
! 		var e = window.event.srcElement;
  
! 		if (e.nodeName == 'INPUT' && (e.type == 'submit' || e.type == 'button'))
  			tinyMCEPopup.restoreSelection();
  	},
  
  /*	_restoreSelection : function() {
--- 281,292 ----
  
  	// Internal functions
  
! 	_restoreSelection : function(e) {
! 		var el = e && e.target ? e.target : window.event.srcElement;
  
! 		if ( el.nodeName == 'INPUT' && ( el.type == 'submit' || el.type == 'button' ) ) {
  			tinyMCEPopup.restoreSelection();
+ 		}
  	},
  
  /*	_restoreSelection : function() {
***************
*** 325,335 ****
  		document.body.style.display = '';
  
  		// Restore selection in IE when focus is placed on a non textarea or input element of the type text
! 		if (tinymce.isIE) {
  			document.attachEvent('onmouseup', tinyMCEPopup._restoreSelection);
  
  			// Add base target element for it since it would fail with modal dialogs
  			t.dom.add(t.dom.select('head')[0], 'base', {target : '_self'});
  		}
  
  		t.restoreSelection();
--- 327,339 ----
  		document.body.style.display = '';
  
  		// Restore selection in IE when focus is placed on a non textarea or input element of the type text
! 		if ( tinymce.isIE && ! tinymce.isIE11 ) {
  			document.attachEvent('onmouseup', tinyMCEPopup._restoreSelection);
  
  			// Add base target element for it since it would fail with modal dialogs
  			t.dom.add(t.dom.select('head')[0], 'base', {target : '_self'});
+ 		} else if ( tinymce.isIE11 ) {
+ 			document.addEventListener('mouseup', tinyMCEPopup._restoreSelection, false);
  		}
  
  		t.restoreSelection();
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.js	2013-10-09 16:05:10.000000000 -0500
***************
*** 497,503 ****
  			ed.selection.moveToBookmark(b);
  		}
  
! 		tinyMCEPopup.execCommand("mceEndUndoLevel");
  		ed.execCommand('mceRepaint');
  		tinyMCEPopup.close();
  	},
--- 497,503 ----
  			ed.selection.moveToBookmark(b);
  		}
  
! 		ed.execCommand("mceEndUndoLevel");
  		ed.execCommand('mceRepaint');
  		tinyMCEPopup.close();
  	},
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/wplink.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/wplink.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/wplink.js	2013-06-06 11:49:25.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/wplink.js	2013-10-09 16:05:10.000000000 -0500
***************
*** 121,128 ****
  			} else {
  				wpLink.setDefaultValues();
  			}
- 
- 			tinyMCEPopup.storeSelection();
  		},
  
  		close : function() {
--- 121,126 ----
***************
*** 226,232 ****
  			// If the values are empty, unlink and return
  			if ( ! attrs.href || attrs.href == 'http://' ) {
  				if ( e ) {
- 					tinyMCEPopup.execCommand("mceBeginUndoLevel");
  					b = ed.selection.getBookmark();
  					ed.dom.remove(e, 1);
  					ed.selection.moveToBookmark(b);
--- 224,229 ----
***************
*** 236,243 ****
  				return;
  			}
  
- 			tinyMCEPopup.execCommand("mceBeginUndoLevel");
- 
  			if (e == null) {
  				ed.getDoc().execCommand("unlink", false, null);
  				tinyMCEPopup.execCommand("mceInsertLink", false, "#mce_temp_url#", {skip_undo : 1});
--- 233,238 ----
***************
*** 252,258 ****
  				// Sometimes WebKit lets a user create a link where
  				// they shouldn't be able to. In this case, CreateLink
  				// injects "#mce_temp_url#" into their content. Fix it.
! 				if ( $(e).text() == '#mce_temp_url#' ) {
  					ed.dom.remove(e);
  					e = null;
  				}
--- 247,253 ----
  				// Sometimes WebKit lets a user create a link where
  				// they shouldn't be able to. In this case, CreateLink
  				// injects "#mce_temp_url#" into their content. Fix it.
! 				if ( tinymce.isWebKit && $(e).text() == '#mce_temp_url#' ) {
  					ed.dom.remove(e);
  					e = null;
  				}
***************
*** 260,275 ****
  				ed.dom.setAttribs(e, attrs);
  			}
  
! 			// Don't move caret if selection was image
  			if ( e && (e.childNodes.length != 1 || e.firstChild.nodeName != 'IMG') ) {
- 				ed.focus();
  				ed.selection.select(e);
  				ed.selection.collapse(0);
  				tinyMCEPopup.storeSelection();
  			}
  
! 			tinyMCEPopup.execCommand("mceEndUndoLevel");
  			wpLink.close();
  		},
  
  		updateFields : function( e, li, originalEvent ) {
--- 255,270 ----
  				ed.dom.setAttribs(e, attrs);
  			}
  
! 			// Move the caret if selection was not an image.
  			if ( e && (e.childNodes.length != 1 || e.firstChild.nodeName != 'IMG') ) {
  				ed.selection.select(e);
  				ed.selection.collapse(0);
  				tinyMCEPopup.storeSelection();
  			}
  
! 			ed.execCommand("mceEndUndoLevel");
  			wpLink.close();
+ 			ed.focus();
  		},
  
  		updateFields : function( e, li, originalEvent ) {
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/wp-lists.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/wp-lists.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/wp-lists.js	2012-11-05 19:01:52.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/wp-lists.js	2013-09-21 05:51:09.000000000 -0500
***************
*** 208,214 ****
  					s.delAfter( rres, _s );
  				}).dequeue();
  			}
! 		}
  
  		$.ajax( s );
  		return false;
--- 208,214 ----
  					s.delAfter( rres, _s );
  				}).dequeue();
  			}
! 		};
  
  		$.ajax( s );
  		return false;
***************
*** 308,314 ****
  	},
  
  	add: function( e, s ) {
! 		e = $(e);
  
  		var list = $(this), old = false, _s = { pos: 0, id: 0, oldId: null }, ba, ref, color;
  
--- 308,314 ----
  	},
  
  	add: function( e, s ) {
! 		e = $( $.trim(e) ); // Trim leading whitespaces
  
  		var list = $(this), old = false, _s = { pos: 0, id: 0, oldId: null }, ba, ref, color;
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/zxcvbn-async.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/zxcvbn-async.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/zxcvbn-async.js	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/zxcvbn-async.js	2013-08-28 11:09:10.000000000 -0500
***************
*** 0 ****
--- 1,17 ----
+ (function() {
+   var async_load = function() {
+     var first, s;
+     s = document.createElement('script');
+     s.src = _zxcvbnSettings.src;
+     s.type = 'text/javascript';
+     s.async = true;
+     first = document.getElementsByTagName('script')[0];
+     return first.parentNode.insertBefore(s, first);
+   };
+ 
+   if (window.attachEvent != null) {
+     window.attachEvent('onload', async_load);
+   } else {
+     window.addEventListener('load', async_load, false);
+   }
+ }).call(this);
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/kses.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/kses.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/kses.php	2013-03-01 10:28:40.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/kses.php	2013-09-16 15:49:10.000000000 -0500
***************
*** 230,235 ****
--- 230,236 ----
  		),
  		'li' => array(
  			'align' => true,
+ 			'value' => true,
  		),
  		'map' => array(
  			'name' => true,
